Package fr.gouv.vitam.common.model.administration

# Class IngestContractModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AbstractContractModel
fr.gouv.vitam.common.model.administration.IngestContractModel

public class IngestContractModel extends AbstractContractModel
Data Transfer Object Model of contract (DTO).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ARCHIVE_PROFILES`
  Archive Profiles
  `static final String`
  `COMPUTE_INHERITED_RULES_AT_INGEST`
  `static final String`
  `DATA_OBJECT_VERSION`
  `static final String`
  `EVERY_DATA_OBJECT_VERSION`
  `static final String`
  `EVERY_FORMAT_TYPE`
  `static final String`
  `FORMAT_TYPE`
  `static final String`
  `FORMAT_UNIDENTIFIED_AUTHORIZED`
  `static final String`
  `LINK_PARENT_ID`
  Attachment GUID
  `static final String`
  `MASTER_MANDATORY`
  `static final String`
  `TAG_CHECK_PARENT_ID`
  `static final String`
  `TAG_CHECK_PARENT_LINK`
  Activated control on parent id (AUTHORIZED / REQUIRED / UNAUTHORIZED)
  `static final String`
  `TAG_MANAGEMENT_CONTRACT_ID`
  `static final String`
  `TAG_SIGNATURE_POLICY`

  ### Fields inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `TAG_CREATION_DATE, TAG_DESCRIPTION, TAG_IDENTIFIER, TAG_LAST_UPDATE, TAG_NAME, TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IngestContractModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getArchiveProfiles()`
  `Set<String>`
  `getCheckParentId()`
  `IngestContractCheckState`
  `getCheckParentLink()`
  Get the check parent link status
  `Set<String>`
  `getDataObjectVersion()`
  `Set<String>`
  `getFormatType()`
  `String`
  `getLinkParentId()`
  `String`
  `getManagementContractId()`
  `SignaturePolicy`
  `getSignaturePolicy()`
  `boolean`
  `isComputeInheritedRulesAtIngest()`
  `boolean`
  `isEveryDataObjectVersion()`
  `boolean`
  `isEveryFormatType()`
  `boolean`
  `isFormatUnidentifiedAuthorized()`
  `boolean`
  `isMasterMandatory()`
  `IngestContractModel`
  `setArchiveProfiles(Set<String> archiveProfiles)`
  `void`
  `setCheckParentId(Set<String> checkParentId)`
  `AbstractContractModel`
  `setCheckParentLink(IngestContractCheckState state)`
  Set or change the check parent link status
  `void`
  `setComputeInheritedRulesAtIngest(boolean computeInheritedRulesAtIngest)`
  `IngestContractModel`
  `setDataObjectVersion(Set<String> dataObjectVersion)`
  `IngestContractModel`
  `setEveryDataObjectVersion(boolean everyDataObjectVersion)`
  `IngestContractModel`
  `setEveryFormatType(boolean everyFormatType)`
  `IngestContractModel`
  `setFormatType(Set<String> formatType)`
  `IngestContractModel`
  `setFormatUnidentifiedAuthorized(boolean formatUnidentifiedAuthorized)`
  `void`
  `setLinkParentId(String linkParentId)`
  `void`
  `setManagementContractId(String managementContractId)`
  `IngestContractModel`
  `setMasterMandatory(boolean masterMandatory)`
  `void`
  `setSignaturePolicy(SignaturePolicy signaturePolicy)`

  ### Methods inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `getActivationdate, getActivationDate, getCreationdate, getCreationDate, getDeactivationdate, getDeactivationDate, getDescription, getId, getIdentifier, getLastupdate, getLastUpdate, getName, getStatus, getTenant, getVersion, setActivationdate, setActivationDate, setCreationdate, setCreationDate, setDeactivationdate, setDeactivationDate, setDescription, setId, setIdentifier, setLastupdate, setLastUpdate, setName, setStatus, setTenant, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ARCHIVE_PROFILES

    public static final String ARCHIVE_PROFILES
    Archive Profiles
    See Also:
      - Constant Field Values

  - ### LINK_PARENT_ID

    public static final String LINK_PARENT_ID
    Attachment GUID
    See Also:
      - Constant Field Values

  - ### TAG_CHECK_PARENT_LINK

    public static final String TAG_CHECK_PARENT_LINK
    Activated control on parent id (AUTHORIZED / REQUIRED / UNAUTHORIZED)
    See Also:
      - Constant Field Values

  - ### TAG_CHECK_PARENT_ID

    public static final String TAG_CHECK_PARENT_ID
    See Also:
      - Constant Field Values

  - ### MASTER_MANDATORY

    public static final String MASTER_MANDATORY
    See Also:
      - Constant Field Values

  - ### EVERY_DATA_OBJECT_VERSION

    public static final String EVERY_DATA_OBJECT_VERSION
    See Also:
      - Constant Field Values

  - ### DATA_OBJECT_VERSION

    public static final String DATA_OBJECT_VERSION
    See Also:
      - Constant Field Values

  - ### FORMAT_UNIDENTIFIED_AUTHORIZED

    public static final String FORMAT_UNIDENTIFIED_AUTHORIZED
    See Also:
      - Constant Field Values

  - ### COMPUTE_INHERITED_RULES_AT_INGEST

    public static final String COMPUTE_INHERITED_RULES_AT_INGEST
    See Also:
      - Constant Field Values

  - ### EVERY_FORMAT_TYPE

    public static final String EVERY_FORMAT_TYPE
    See Also:
      - Constant Field Values

  - ### FORMAT_TYPE

    public static final String FORMAT_TYPE
    See Also:
      - Constant Field Values

  - ### TAG_MANAGEMENT_CONTRACT_ID

    public static final String TAG_MANAGEMENT_CONTRACT_ID
    See Also:
      - Constant Field Values

  - ### TAG_SIGNATURE_POLICY

    public static final String TAG_SIGNATURE_POLICY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IngestContractModel

    public IngestContractModel()

- ## Method Details

  - ### getLinkParentId

    public String getLinkParentId()
    Returns:
      linkParentId

  - ### setLinkParentId

    public void setLinkParentId(String linkParentId)
    Parameters:
      `linkParentId` -

  - ### getArchiveProfiles

    public Set<String> getArchiveProfiles()

  - ### setArchiveProfiles

    public IngestContractModel setArchiveProfiles(Set<String> archiveProfiles)

  - ### getCheckParentLink

    public IngestContractCheckState getCheckParentLink()
    Get the check parent link status
    Returns:
      Check Parent Link status

  - ### setCheckParentLink

    public AbstractContractModel setCheckParentLink(IngestContractCheckState state)
    Set or change the check parent link status
    Parameters:
      `state` - to set
    Returns:
      this

  - ### isMasterMandatory

    public boolean isMasterMandatory()

  - ### setMasterMandatory

    public IngestContractModel setMasterMandatory(boolean masterMandatory)

  - ### isEveryDataObjectVersion

    public boolean isEveryDataObjectVersion()

  - ### setEveryDataObjectVersion

    public IngestContractModel setEveryDataObjectVersion(boolean everyDataObjectVersion)

  - ### getDataObjectVersion

    public Set<String> getDataObjectVersion()

  - ### setDataObjectVersion

    public IngestContractModel setDataObjectVersion(Set<String> dataObjectVersion)

  - ### isFormatUnidentifiedAuthorized

    public boolean isFormatUnidentifiedAuthorized()

  - ### setFormatUnidentifiedAuthorized

    public IngestContractModel setFormatUnidentifiedAuthorized(boolean formatUnidentifiedAuthorized)

  - ### isComputeInheritedRulesAtIngest

    public boolean isComputeInheritedRulesAtIngest()

  - ### setComputeInheritedRulesAtIngest

    public void setComputeInheritedRulesAtIngest(boolean computeInheritedRulesAtIngest)

  - ### isEveryFormatType

    public boolean isEveryFormatType()

  - ### setEveryFormatType

    public IngestContractModel setEveryFormatType(boolean everyFormatType)

  - ### getFormatType

    public Set<String> getFormatType()

  - ### setFormatType

    public IngestContractModel setFormatType(Set<String> formatType)

  - ### getCheckParentId

    public Set<String> getCheckParentId()

  - ### setCheckParentId

    public void setCheckParentId(Set<String> checkParentId)

  - ### getManagementContractId

    public String getManagementContractId()

  - ### setManagementContractId

    public void setManagementContractId(String managementContractId)

  - ### getSignaturePolicy

    public SignaturePolicy getSignaturePolicy()

  - ### setSignaturePolicy

    public void setSignaturePolicy(SignaturePolicy signaturePolicy)